Attribute VB_Name = "modGlobals"
Option Explicit

Public mHelper As IPluginHelper

Private Declare Function SendMessageA Lib "user32" ( _
    ByVal hwnd As Long, ByVal wMsg As Long, _
    ByVal wParam As Long, ByVal lParam As Any _
    ) As Long
  
Public Declare Function ShellExecute Lib "shell32.dll" Alias "ShellExecuteA" ( _
    ByVal hwnd As Long, _
    ByVal lpOperation As String, _
    ByVal lpFile As String, _
    ByVal lpParameters As String, _
    ByVal lpDirectory As String, _
    ByVal nShowCmd As Long _
    ) As Long

Private Const EM_GETLINE = &HC4
Private Const EM_GETLINECOUNT = &HBA
Private Const EM_SCROLLCARET = &HB7

Public Function TextBoxLine(ByRef txt As TextBox, ByVal LineNr As Long) As String
    Dim Buffer As String * 1024
    Dim Length As Long
  
    Buffer = Chr$(Len(Buffer) And &HFF) & Chr$(Len(Buffer) \ &H100)
    Length = SendMessageA(txt.hwnd, EM_GETLINE, LineNr - 1, Buffer)
    TextBoxLine = Left$(Buffer, Length)
End Function

Public Function TextBoxLineCount(ByRef txt As TextBox) As Long
    TextBoxLineCount = SendMessageA(txt.hwnd, EM_GETLINECOUNT, 0, 0&)
End Function

Public Function FileExists(FileName As String) As Boolean
    If FileName <> "" Then
        FileExists = (Dir$(FileName) <> "")
    Else
        FileExists = False
    End If
End Function
